package com.cico.nest.lcdp.boot.core.infra.websocket.message;

import lombok.Data;

/**
 * 示例：server -> client 同步消息
 *
 * @author zws
 */
@Data
public class DemoReceiveMessage {

    /**
     * 接收人的编号
     */
    private Long fromUserId;
    /**
     * 内容
     */
    private String text;

    /**
     * 是否单聊
     */
    private Boolean single;

    public DemoReceiveMessage setFromUserId(Long fromUserId) {
        this.fromUserId = fromUserId;
        return this;
    }

    public DemoReceiveMessage setText(String text) {
        this.text = text;
        return this;
    }

    public DemoReceiveMessage setSingle(Boolean single) {
        this.single = single;
        return this;
    }
}
